import { BagelUsersRequest, BagelDB } from '@bageldb/bagel-db/src/server';
import type { BagelUser } from '@bageldb/bagel-db/src/interfaces';
import type { AxiosResponse, AxiosStatic } from 'axios';
declare class BagelNuxtUser extends BagelUsersRequest {
    constructor({ instance }: {
        instance: any;
    });
    _bagelUserActive(): Promise<boolean>;
    getUser(): Promise<AxiosResponse<BagelUser, any>>;
    _isBrowser(): boolean;
    _getCookie(key: string): any;
    _setCookie(key: string, value?: string, options?: Record<string, any>): string | undefined;
    _removeCookie(key: string): void;
    _storeBagelUser(userID: string): any;
    _storeTokens(data: Record<string, any>): Promise<void>;
    getBagelUserID(): Promise<any>;
    _getRefreshToken(): Promise<any>;
    _getAccessToken(): Promise<any>;
    logout(): Promise<void>;
}
export default class BagelNuxt extends BagelDB {
    constructor(apiToken: string, ctx: {
        alias: string;
        token: string;
    }, axios: AxiosStatic);
    users(): BagelNuxtUser;
}
export {};
